/* Sortables Images */
ul.sortable-images, ul.sortable-floats {
}
li.sortable-image, ul.sortable-floats li {
    float: left;
    margin: 5px;
    padding: 5px;
    list-style: none;
    width: 160px;
    height: 170px;
    text-align: center;
    cursor: move;
}
.sortable-tools {
    width: 90%;
    cursor: default;
}
.sortable-tools a {
    margin-left: 10px;
}


/* Sortables Files */
ul.sortable-files, ul.sortable-floats {
}
li.sortable-file, ul.sortable-floats li {
    float: left;
    margin: 5px;
    padding: 5px;
    list-style: none;
    width: 160px;
    height: 160px;
    text-align: center;
    cursor: move;
}

/* Sortable list */
ul.sortable-list {
    margin: 5px; padding: 0;
}
ul.sortable-list h2 {
    text-transform: capitalize;
}
ul.sortable-list li { 
    list-style: none;
    margin: 0; margin-bottom: 10px;
}
ul.sortable-list ul li {
    margin: 0;
}
ul.sortable-list td.sort-handle {
    width: 80px; height: 80px;
    background: #eee;
    cursor: move;
}

/* Sortable Treelist */
.menus .related-module { width: 300px; }
.menus .related-module ul {padding: 0; margin: 0; padding-bottom: 5px;}
.menus .related-module li { list-style: none; padding: 8px 5px 5px 12px; }
.menus .related-module .tools{ float: right; padding-right: 4px;}
.menus .related-module .module { margin-bottom: 10px; }

.menu-list { margin: 0; margin-right: 320px;}
.menu-list ul { padding: 0; }
.menu-list ul ul { padding: 2px 0 0px 0; }
.menu-list ul ul li {}
.menu-list li {
    padding: 8px 0;
    margin: 0 !important;
    list-style: none !important; 
}
.menu-list li span.folder ,
.menu-list li span.page,
.menu-list li span.app {
    cursor: move;
}
.menu-list li.leaf {
    font-weight: normal;
 }
.menu-list li.leaf a {}
li.sortable-empty { font-weight: normal !important; font-style: italic; color: #aaa; }
li.sortable-remove-it { visibility: hidden; height: 1px; }

/* Sortable Treeview Widget */
.treeview, .treeview ul { 
	padding: 0;
	margin: 0;
	list-style: none;
 }

.treeview ul {
	background-color: white;
	margin-top: 2px;
}

.treeview .hitarea {
	/*background: url(../../img/treeview/treeview-default.gif) -64px -25px no-repeat;*/
	height: 16px;
	width: 16px;
	margin-left: -16px;
	float: left;
	cursor: pointer;
}
/* fix for IE6 */
* html .hitarea {
	display: inline;
	float:none;
}

.treeview li { 
	margin: 0;
	padding: 3px 0 3px 16px;
}

.treeview a.selected {
	background-color: #eee;
}

#treecontrol { margin: 1em 0; display: none; }

.treeview li.collapsable, .treeview li.expandable { background-position: 0 -176px; }
.treeview .expandable-hitarea { background-position: -80px -3px; }
.treeview li.last { background-position: 0 -1766px }
.treeview li.lastCollapsable { background-position: 0 -111px }
.treeview li.lastExpandable { background-position: -32px -67px }

.treeview div.lastCollapsable-hitarea, .treeview div.lastExpandable-hitarea { background-position: 0; }

.filetree li { padding: 4px 0 4px 4px; }
.filetree li ul { margin-left: 40px; }
.filetree li ul li { padding: 4px 0 4px 4px;}
.filetree span.folder, .filetree span.page, .filetree span.app { 
    display: block; 
}
.filetree span.folder { 
    background: transparent url(../../img/grappelli/bg_module_reverse.gif) repeat-x scroll 0 0 !important;
    background: transparent url(../../img/grappelli/bg_fieldset.gif) repeat scroll 0 0 !important;
    padding: 5px 5px 5px 8px;
    border: 1px solid #D5DFE3;
    border-bottom: 1px solid #BAC8CE;
    font-weight: bold;
}
.filetree li.expandable span.folder { background: url(../../img/treeview/folder-closed.gif) 0 0 no-repeat; }
.filetree span.page,
.filetree span.app { 
    /*background: url(../../img/treeview/file.gif) 0 0 no-repeat; */
    background: #fafafa;
    padding: 5px 5px 5px 8px;
    border: solid 1px #eee;
    border-bottom: 2px solid #ddd;
}
span.move {
    color: #999;
    font-weight: normal;
    background: url(../../img/admin/icon_move.gif) 0 0 no-repeat;
    padding-left: 16px;
    cursor: move;
}
.filetree .tools {
    display: block;
    float: right;
    padding: 0 10px;
}
.filetree .tools a {
    font-weight: normal;
    margin-left: 1.2em;
}

.treeview-sortable-helper {
    background: #fff;
    width: 100px !important; height: 20px !important;
    padding: 2px;
}
.treeview-sortable-helper .tools { display: none; }
.treeview-sortable-placeholder {display: none !important;}
.treeview-sortable-hover {
    border: dotted #659DC2 2px !important;
}
.hover-down {
    border-top: dotted #659DC2 2px !important;
}
.hover-up {
    border-bottom: dotted #659DC2 2px !important;
}

.additions { 
    padding: 10px; 
    margin-top: -52px;
}
.additions form {
}
.additions fieldset {
    border: none;    
    padding: 5px 0; margin-bottom: 10px;
}
.additions label {
    width: 3em !important;
}
.additions a.addlink {
    margin: 0; font-size: 11px; font-weight: bold;
    display: block; margin-bottom: 5px;
}
.additions input[type="text"] { width: 15em; }
